%{?nodejs_find_provides_and_requires}

%global packagename conventional-commits-filter
%global enable_tests 1

Name:		nodejs-conventional-commits-filter
Version:	1.0.0
Release:	1%{?dist}
Summary:	Filter out reverted commits parsed by conventional-commits-parser

License:	MIT
URL:		https://github.com/stevemao/conventional-commits-filter
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/stevemao/conventional-commits-filter/v%{version}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-subset)
BuildRequires:	npm(modify-values)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Filter out reverted commits parsed by conventional-commits-parser


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --timeout 30000
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat May  6 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
